#!/usr/bin/env python
"""
author: Aaron Gember (agember@cs.wisc.edu)

Custom topologies for CS640, Spring 2014, Project 1
"""

from mininet.cli import CLI
from mininet.net import Mininet
from mininet.link import TCLink
from mininet.topo import Topo
from mininet.log import setLogLevel

class PointToPoint(Topo):
    def __init__(self, **opts):
        Topo.__init__(self, **opts)
        h1 = self.addHost('h1')
        h2 = self.addHost('h2')
        self.addLink(h1, h2, bw=10)

if __name__ == '__main__':
    setLogLevel( 'info' )

    # Create data network
    topo = PointToPoint()
    net = Mininet(topo=topo, link=TCLink, autoSetMacs=True, 
            autoStaticArp=True)

    # Run network
    net.start()
    CLI( net )
    net.stop()

